Bug 533059 - kvm modules can't be built against latest kernel-devel package
Summary: kvm modules can't be built against latest kernel-devel package
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kvm
Version: 5.5
Hardware: All
OS: Linux
low
urgent
Target Milestone: rc
: ---
Assignee: Eduardo Habkost
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks: 533078
TreeView+ depends on / blocked
 
Reported: 2009-11-04 20:44 UTC by Eduardo Habkost
Modified: 2010-03-30 07:55 UTC (History)
3 users (show)

Fixed In Version: kvm-83-134.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 533078 (view as bug list)
Environment:
Last Closed: 2010-03-30 07:55:53 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0271 normal SHIPPED_LIVE Important: kvm security, bug fix and enhancement update 2010-03-29 13:19:48 UTC

Description Eduardo Habkost 2009-11-04 20:44:02 UTC
Description of problem:
  CC [M]  /builddir/build/BUILD/kvm-83-maint-snapshot-20090205/kernel-/x86/svm.o
In file included from /builddir/build/BUILD/kvm-83-maint-snapshot-20090205/kernel-/x86/external-module-compat.h:9,
                 from <command line>:1:
/builddir/build/BUILD/kvm-83-maint-snapshot-20090205/kernel-/x86/../external-module-compat-comm.h:722: error: conflicting types for 'smp_call_function_many'
include/asm/smp.h:54: error: previous declaration of 'smp_call_function_many' was here
make[3]: *** [/builddir/build/BUILD/kvm-83-maint-snapshot-20090205/kernel-/x86/svm.o] Error 1
make[2]: *** [/builddir/build/BUILD/kvm-83-maint-snapshot-20090205/kernel-/x86] Error 2
make[1]: *** [_module_/builddir/build/BUILD/kvm-83-maint-snapshot-20090205/kernel-] Error 2
make[1]: Leaving directory `/usr/src/kernels/2.6.18-172.el5-x86_64'
make: *** [all] Error 2
make: Leaving directory `/builddir/build/BUILD/kvm-83-maint-snapshot-20090205/kernel-'
error: Bad exit status from /var/tmp/rpm-tmp.33253 (%build)
RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.33253 (%build)


Version-Release number of selected component (if applicable):
kernel-devel-2.6.18-172.el5-x86_64
kvm-83-133.el5 (not built yet)

Comment 9 errata-xmlrpc 2010-03-30 07:55:53 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2010-0271.html


Note You need to log in before you can comment on or make changes to this bug.